summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xcompile.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/compile.sh b/compile.sh
index fae149667..19d49b6b2 100755
--- a/compile.sh
+++ b/compile.sh
@@ -164,10 +164,9 @@ git submodule update --init
# Cmake.
echo " --- Running cmake..."
-popd
if [ ! -d build-cuberite ]; then mkdir build-cuberite; fi
pushd build-cuberite
-cmake ../cuberite/ -DCMAKE_BUILD_TYPE=$BUILDTYPE || error "cmake failed"
+cmake .. -DCMAKE_BUILD_TYPE=$BUILDTYPE || error "cmake failed"
# Make.
@@ -178,7 +177,7 @@ echo
# Echo: Compilation complete.
popd > /dev/null
-pushd cuberite/Server > /dev/null
+pushd Server > /dev/null
echo
echo "-----------------"
echo "Compilation done!"
@@ -192,6 +191,7 @@ fi
echo
echo "Enjoy :)"
popd > /dev/null
+popd > /dev/null
exit 0
:windows_detected